
QGIS Application - Bug report #1449

The map and overview canvas resizes incorrectly

2008-12-08 04:21 AM - Borys Jurgiel

Status: Closed

Priority: Low

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 11509

Description

When reducing size of the overview canvas, its contents zooms out to match the new extent. It's ok. But when enlarging it, the contents

doesn't zoom in back. In effect, after a few resizes of QGIS window, overview map becomes unusably tiny.

Related issues:

Duplicated by QGIS Application - Bug report # 8461: Viewport resize behavior ... Closed 2013-08-12

History

#1 - 2008-12-08 04:30 AM - Borys Jurgiel

It affects the main canvas too.

#2 - 2008-12-10 01:45 AM - Borys Jurgiel

I'd prefer to not rescale the main map at all (hovewer I understand the present behaviour) but rescale in and out the overwiew.

#3 - 2009-07-03 01:23 AM - Giovanni Manghi

This bug is still there in QGIS 1.2 (rev. 11005, Ubuntu 9.04).

#4 - 2009-10-18 01:27 PM - Milena Nowotarska

This bug is still there in QGIS 1.4, rev. 11818; it occurs for example when switching on a docked table. The map canvas goes smaller so the scale of the

map decreases.

#5 - 2009-12-19 06:04 AM - Borys Jurgiel

Jürgen, is there any quick and simple way to disable the rescaling at all or enable rescaling in both directions? I can't find it. This ugly behaviour just affect

badly Quantum's look and feel ;)

#6 - 2011-03-22 08:42 AM - Donkagen2 -

Still there in trunk.

A partial work around is to toggle a layer's "Show in overview" state in the Layers context menu - this resizes the overview image.
#7 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#8 - 2012-04-16 06:22 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#9 - 2012-09-04 12:04 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#10 - 2012-11-19 01:50 PM - Borys Jurgiel

- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Resolution set to fixed

It's been fixed in commit:2613cf6a

#11 - 2012-11-19 02:05 PM - Borys Jurgiel

- Status changed from Closed to Reopened

- Resolution deleted (fixed)

Oh sorry, that commit only fixes the problem in the overview. The main canvas is still affected

#12 - 2013-08-13 02:24 AM - Sandro Santilli

I confirm it's stll not fixed, see #8461

#13 - 2013-10-21 08:36 AM - Jürgen Fischer

- Assignee deleted (Jürgen Fischer)

#14 - 2014-06-02 03:43 AM - Nathan Woodrow

- Status changed from Reopened to Closed

- Resolution set to fixed/implemented

This has been fixed in master.
